meny

WordPress 5.2, Jaco är här. Den nya versionen är uppkallad efter den kända jazzbasisten Jaco Pastorius och innehåller förbättringar av den nya blockredigaren, ett återställningsläge om något händer vid en uppdatering och en hel del buggfixar och små förbättringar.

Återställningsläge vid uppdateringar

Det är många som inte törs uppdatera WordPress av rädsla för att något ska hända. Men att inte uppdatera är nästan den bästa garantin för att webbplatsen förr eller senare ska bli hackad eller sluta fungera. Så man bör absolut uppdatera WordPress.

Ett problem med uppdateringar är att man aldrig kan vara 100% säker på att alla tillägg man använder klarar av uppdateringen och har man riktig otur kraschar sidan och man möts av ett vitt fönster när man ska försöka logga in och åtgärda problemet.

Tidigare har det funnits två sätt att återställa webbplatsen om den kraschat. Antingen har man fått kontakta webbhotellet och bett dom backa tillbaka webbplatsen med en säkerhetskopia. Eller så har man själv fått ansluta till webbservern och kopierat tillbaka den äldre versionen av WordPress eller det tillägg man uppdaterat. Förhoppningsvis har något av de alternativen hjälpt.

WordPress 5.2 introducerar ett nytt återställningsläge för webbplatsens administratörer. I händelse av ett allvarligt fel, kommer du få se ett meddelande om att ”denna webbplats har tekniska svårigheter”. WordPress kommer sedan att skicka ett mail till administratören med en särskild inloggningslänk. Administratören kan sen logga in och ångra alla ändringar som kan ha utlöst det ödesdigra felet.

Den här nya funktionen kommer att vara en välsignelse för många nybörjare som tycker att det är svårt att åtgärda sådana fel på egen hand. Förhoppningsvis kommer det också göra att fler kommer att uppdatera sina webbplatser för ett säkrare WordPress.

hälsokontroll

Hälsokontroll för webbplatser i WordPress 5.2

Vi kommer också få hjälp med att få webbplatsen att må bra med en hälsokontroll. Den tittar bl.a på om man har inaktiva teman och tillägg, rekommendationer om PHP-version, moduler som saknas och om sidan använder SSL.

Förbättrad blockredigare

När WordPress släppte version 5.0 med nya blockredigeraren hade man bråttom och många anser att den kanske inte riktigt var helt färdigutvecklad. Med WordPress 5.2 kommer en del välkomna förbättringar. När du använder den nya redigeraren kommer du märka att den är mycket snabbare än tidigare, särskilt på sidor med mycket innehåll. Man räknar med att redigeraren är ca 35% snabbare. Du kommer också märka att när du skriver får du snabbare respons.

Förbättringar av tillgänglighet

Redigeraren kommer nu också stödja reducerade rörelseinställningar i användarens webbläsare. Permalänken kommer att ha bättre märkning och hjälptext, vilket kommer att göra det lättare att hitta. Blockredigeraren kommer också att vara lättare att navigera i med tangentbordet. WordPress 5.2 kommer också att förbättra meddelanden till skärmläsare.

wordpress 5.2

Nya block

Det kommer också att tillkomma en del nya block som tidigare bara varit tillgängliga som widgetar. Bland annat kommer vi hitta ett kalender-block med webbplatsens inlägg som du kan lägga var som helst i innehållet, sökfunktionen kommer att finnas som ett block och det kommer också finnas ett block för taggmoln

.

Ett nytt blockhanteringsverktyg i WordPress 5.2

Nu när WordPress fylls på med fler och fler block, både från de vi får som standard i WordPress och de som vi kan ladda ner som tillägg kan det vara svårt att hitta de man verkligen vill använda. I WordPress 5.2 får vi en blockhanterare. Blockhanteraren kommer att lista alla block som är tillgängliga på webbplatsen. Du kan helt enkelt avaktivera de block som du inte vill använda.

wordpress 5.2

Minimikrav för PHP-version

WordPress används av miljontals webbplatser i hela världen, på olika webbhotell, och webbservrar. Det är därför WordPress fortfarande stöder äldre PHP-versioner, vilket är problematiskt. Användare kanske inte ens inser att de kan förbättra prestandan för deras hemsida genom att använda en nyare PHP-version.

WordPress 5.2 kommer att höja kraven för lägsta PHP-version till 5.6. Målet är att successivt öka minimi PHP-versionen i framtida utgåvor. Man rekommenderar att minst ha PHP 7.0 om det är möjligt, gärna ännu högre om webbplatsen klarar av det. Kontrollera med ditt webbhotell om du inte känner till vilken PHP-version din webbplats använder.

Fler förbättringar i WordPress 5.2

Vid sidan av de förbättringar och förändringar vi som användare kommer att kunna se kommer det som vanligt en hel del uppdateringar under huven också.

Som vanligt rekommenderas det att du uppdaterar WordPress, men känner du dig osäker kan du alltid vänta några dagar tills version 5.2.1 kommer då eventuella buggfixar blir åtgärdade. Men uppdatera är något man bör göra kontinuerligt för att få en fungerande webbplats.

wordpressbokWordPressbok på svenska

WordPress är världens populäraste verktyg för att skapa webbplatser och i den senaste versionen av WordPress är möjligheterna ännu större. I den här boken lär du dig grunderna och hur WordPress fungerar, så att du kan bygga och sköta om din egen webbplats.

Du kan köpa boken på AdLibris, Bokus eller på bokens egen webbplats.


Vill du lära dig mer om WordPress?

Vi har kurser både på distans och i klassrum

>> Distanskurs WordPress Grund >> Distanskurs WordPress Fortsättning

>> Klassrumskurs WordPress Grund >> Klassrumskurs WordPress Fortsättning

Pin It on Pinterest

Share This